/*
    Title:    timer library
    Author:   Volker Oth
    Date:     5/1999
    Purpose:  starting 16 bit timer.
    needed
    Software: AVR-GCC to compile, AVA to assemble and link
    needed
    Hardware: ATS90S8515 on STK200 board
    Note:     To contact me, mail to
                  volkeroth(at)gmx.de
*/

#ifndef TIMER_H
#define TIMER_H

#define PRSC1_SELECT       5               /* divide by 1024 */

/* constants/macros */
#define F_CPU        4000000               /* 4MHz processor */
/* auto calculation doesn't work for prescalers /1 (1) and /8 (2) */
#define PRSC1       (1<<(PRSC1_SELECT<<1))  
#define T_TCNT1     (1000000*PRSC1/F_CPU)  /* timer tick in us */


#define get_ticks(x) ({ u08 l; u08 h; l = inp(TCNT1L); h=inp(TCNT1H); (x) = l+(h<<8);})

void timer1_init(void);

#endif