/*
    Title:    UART library
    Author:   Volker Oth
    Date:     5/1999
    Purpose:  Sending a block of data to uart.
    needed
    Software: AVR-GCC to compile, AVA to assemble and link
    needed
    Hardware: ATS90S8515 on STK200 board
    Note:     To contact me, mail to
                  volkeroth(at)gmx.de
*/

#ifndef UART_H
#define UART_H

/* set baud rate here */
#define UART_BAUD_RATE 9600

/* automatically calcuate baud register value */
#ifdef F_CPU
#define UART_BAUD_SELECT (F_CPU/(UART_BAUD_RATE*16l)-1)
#else
#error F_CPU undefined!!!
#endif 

void uart_send(u08 *buf, u08 size);
void uart_init(void);

#endif